/*
*	Copyright VeryIDE,2007-2009
*	http://www.veryide.com/
*	
*	$Id: adsview.src.js v3.3 12:40 2009-6-30 leilei $
*/
VAD.Show = function( close ){
	
	//对话框ID
	var TEMP_AD_BOX='__AD__BOX';
	
	//对话框样式
	var TEMP_AD_BOX_STYLE='padding:5px 10px;margin:10px;width:910px;position:absolute;top:5px;left:100px;border:#ccc solid 1px;background:#fff;color:#666;font-family:Verdana;filter:alpha(opacity=100); opacity:1;';
	
	//广告形式
	var TEMP_AD_TYPE=['','普通广告','随机广告','对联广告','文字广告','落幅广告','弹出窗口','内嵌框架 - IFRAME','滑出广告','图片轮换 - FLASH','滚动广告','漂浮广告','轮换广告 - 多种格式'];
	
	var TEMP_AD_AREA='<table border="0" cellspacing="1" cellpadding="6" width="100%" style="background:#99CC00; color:#fff;font-size:13px;"><tr> <td>广告位:</td> <td>$name</td> <td>标识:</td> <td><a href="'+VAD.API+'#$key" target="_blank">$key</a></td> <td>总量/有效量:</td> <td>$number</td> <td>尺寸:</td> <td>$size</td>  <td>价格:</td> <td>$price</td>  <td>类型:</td> <td>$type</td> </tr> </table>';
	
	var TEMP_AD_TABLE='<table border="0" cellspacing="1" cellpadding="4" width="100%" style="background:#ccc;font-size:13px;"><tr style="background:#999;color:#fff;"> <td width="50">ID</td> <td>名称</td> <td width="80">尺寸</td> <td width="100">过期时间</td> <td width="60">文件</td> <td width="60">链接</td> </tr> $TR </table><br />';
	
	var TEMP_AD_TABLE_TR='<tr style="$style"> <td>$id</td> <td><a href="#'+VAD.anchor+'">$name</a></td> <td>$size</td> <td>$expire</td> <td><a href="$image" title="$image" target="_blank">$media</a></td> <td><a href="$link" title="$link" target="_blank">查看</a></td> </tr>';
	
	var TEMP_AD_TABLE_TR_STYLE=['background:#efefef;color:#666;','background:#fff;'];
	
	//box
	var box=document.createElement("DIV");
	box.id=TEMP_AD_BOX;
	box.style.cssText=TEMP_AD_BOX_STYLE;
	box.setAttribute("style",TEMP_AD_BOX_STYLE);
	
	box.onmouseover=function(){
		this.style.opacity=1;this.style.filter="alpha(opacity=100)";
	}
	box.onmouseout=function(){
		this.style.opacity=0.7;this.style.filter="alpha(opacity=70)";
	}
	
	document.body.appendChild(box);
	
	var str='<div align="right" style="padding:5px;"><label><input id="__AD__SCROLL" type="checkbox" value="scroll" checked="true" />随页面滚动</label> <input type="button" onclick="VAD._close_(&quot;'+TEMP_AD_BOX+'&quot;);" value="关闭" style="background:#666; color:#fff; font-size:12px; border:#333 solid 1px;padding:2px 2px 0 2px;" /></div>';
;		
	var i=0;
	
	//遍历广告位
	for(var key in VAD.Areas){
	
		var area = VAD.Areas[key];
		
		str+=TEMP_AD_AREA.replace("$key",area["key"])
		.replace("$id",area["id"])
		.replace("$name",area["name"])
		.replace("$type",TEMP_AD_TYPE[area["show"]])
		.replace("$number", VAD.Advert[key].length+"/"+area["number"])
		.replace("$size",area["width"]+"*"+area["height"])
		.replace("$price",area["price"]);
		
		str+=TEMP_AD_TABLE;
		
		var tr='';
		
		//遍历广告
		for( var i=0; i<VAD.Advert[key].length; i++ ){
		
			var ad = VAD.Advert[key][i];
			
			//过期时间
			var date = new Date(ad["expire"]*1000);
			var expire=date.getFullYear()+"/"+(date.getMonth()+1)+"/"+date.getDate();
		
			tr+=TEMP_AD_TABLE_TR.replace(/\$id/ig,ad["id"])
			.replace("$name",ad["name"])
			.replace("$size",ad["width"]+"*"+ad["height"])
			.replace("$expire",expire)
			.replace(/\$image/ig,ad["file"]).
			replace(/\$media/ig,(ad["file"]?(/\.swf/.test(ad[4])?"Flash":"图片"):"文字")).
			replace(/\$link/ig,ad["link"]).
			replace("$style",TEMP_AD_TABLE_TR_STYLE[(i % 2)]);
			
		}
		str=str.replace("$TR",tr);
		str=str.replace(/\$key/ig,key);
		
		i++;
	}
	
	if(!i){
		str='<strong>本页没有找到广告</strong>';
	}
			
	box.innerHTML=str;

	var doc = VAD.getDoc();

	//滚动
	VAD._inti_ = window.setInterval(
		function(){
			if( VAD.$("__AD__SCROLL") && VAD.$("__AD__SCROLL").checked ){
				box.style.top = doc.scrollTop + 50 +"px";
			}
		},100
	);
		
	//关闭
	VAD._close_ = function(o){
		clearInterval(VAD._inti_);
		VAD.remove(VAD.$(o));
	}
	
}